%global major	1
%global libname	%mklibname b 2 %{major}
%global devname	%mklibname b 2 -d

Name:		libb2
Summary:	C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp
Version:	0.98.1
Release:	%mkrel 3
License:	CC0
Group:		Development/C
Url:		https://blake2.net/
Source0:	https://github.com/BLAKE2/libb2/releases/download/v%{version}/libb2-%{version}.tar.gz
Patch1:		0001-Update-configure.ac-do-not-override-CFLAGS-from-the-.patch
Patch3:		0001-x86_64-always-has-at-least-SSE2.patch
BuildRequires:	autoconf-archive

%description
BLAKE2 is a cryptographic hash function faster than MD5, SHA-1, SHA-2, and
SHA-3, yet is at least as secure as the latest standard SHA-3.

%package -n %{libname}
Summary:	C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp
Group:		System/Libraries

%description -n %{libname}
BLAKE2 is a cryptographic hash function faster than MD5, SHA-1, SHA-2, and
SHA-3, yet is at least as secure as the latest standard SHA-3.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	blake2-devel = %{version}-%{release}

%description -n %{devname}
Development files and headers for BLAKE2.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--disable-native
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
%make_build check

%files -n %{libname}
%license COPYING
%{_libdir}/libb2.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/blake2.h
%{_libdir}/libb2.so
%{_libdir}/pkgconfig/libb2.pc


%changelog
* Sat Dec 12 2020 wally <wally> 0.98.1-3.mga8
+ Revision: 1655807
- add upstream patch to use SSE2 always with x86_64
- add upstream patch to not override system CFLAGS while building

* Tue Feb 18 2020 umeabot <umeabot> 0.98.1-2.mga8
+ Revision: 1541343
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- enable check
- update descriptions

* Wed Dec 25 2019 wally <wally> 0.98.1-1.mga8
+ Revision: 1469967
- imported package libb2

